> For the complete documentation index, see [llms.txt](https://docs.seda.xyz/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seda.xyz/home/archvie/browse-seda-supported-feeds/premium-data-providers/dxfeed.md).

# dxFeed

## Supported Asset Types

* Forex
* Crypto
* Indices
* Stocks
* Futures
* Options
* Products
* ETFs

## About dxFeed

dxFeed is a subsidiary of [Devexperts](https://devexperts.com/), with the primary focus of delivering financial markets information and services to buy-side and sell-side institutions of the global financial industry, specifically to traders, data analysts, quants and portfolio managers.

Since its inception, dxFeed has built one of the most comprehensive ticker plants in the world, in addition to offering the broadest range of data services currently available by a single company in its space.

Financial data is delivered from a variety of exchanges in North America, Europe and around the world.

## **API Structure and Data Specification**

All events that occur on exchanges (placed and canceled orders, trades, and so on) are received by dxFeed in individual formats and in accordance with the protocols of each exchange. Hereupon dxFeed normalizes all the data into its own records with a predefined set of fields — dxFeed internal QD-model (Quote Distribution).

Here's an example response object for both a Quote and a Trade.

{% columns %}
{% column width="91.66666666666666%" %}

```json
{
	"Quote": {
		"AAPL:USLF24": {
			"askExchangeCode": "U",
			"askPrice": 214.44,
			"askSize": 123,
			"askTime": 1753707742000,
			"bidExchangeCode": "U",
			"bidPrice": 214.2,
			"bidSize": 157,
			"bidTime": 1753707657000,
			"eventSymbol": "AAPL:USLF24",
			"eventTime": 0,
			"sequence": 0,
			"timeNanoPart": 0
		}
	},
	"status": "OK"
}
```

```json
{
	"Trade": {
		"AAPL:USLF24": {
			"change": 0,
			"dayId": 20297,
			"dayTurnover": 12405806.53,
			"dayVolume": 57773,
			"eventSymbol": "AAPL:USLF24",
			"eventTime": 0,
			"exchangeCode": "V",
			"extendedTradingHours": true,
			"price": 213.89,
			"sequence": 1071,
			"size": 100,
			"tickDirection": "ZERO_DOWN",
			"time": 1753473599903,
			"timeNanoPart": 0
		}
	},
	"status": "OK"
}
```

{% endcolumn %}

{% column width="8.333333333333343%" %}

{% endcolumn %}
{% endcolumns %}

{% embed url="<https://kb.dxfeed.com/en/data-model/market-events/qd-model-of-market-events.html#trade-118167>" %}

## Proxy Implementations

{% content-ref url="/pages/ylzxLPztI0IpmshpaM4K" %}
[Testnet Proxy](/home/archvie/browse-seda-supported-feeds/premium-data-providers/dxfeed/testnet-proxy.md)
{% endcontent-ref %}

{% content-ref url="/pages/qVN3H5KejQ6u9HYopurN" %}
[Mainnet Proxy](/home/archvie/browse-seda-supported-feeds/premium-data-providers/dxfeed/mainnet-proxy.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seda.xyz/home/archvie/browse-seda-supported-feeds/premium-data-providers/dxfeed.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
